## org.apache.poi.xwpf.usermodel
Enum BodyElementType

    java.lang.Object
      java.lang.Enum<BodyElementType>
          org.apache.poi.xwpf.usermodel.BodyElementType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BodyElementType>

    public enum BodyElementType

extends java.lang.Enum<BodyElementType>

9 Jan 2010

// TODO insert Javadoc here!

Author:
  epp

Enum Constant Summary
`PARAGRAPH`
`TABLE`

Method Summary
`static BodyElementType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BodyElementType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PARAGRAPH

    public static final BodyElementType PARAGRAPH

### TABLE

    public static final BodyElementType TABLE

Method Detail

### values

    public static BodyElementType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BodyElementType c : BodyElementType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BodyElementType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.